$(document).ready(function() {
	$.loadingBlockShow({
		imgPath: 'images/loader2.svg',
		text: '', // 'Demo is Loading ...',
		style: {
			position: 'fixed',
			color: '#ccc',
			fontWeight: 'bold',
			width: '100%',
			height: '100%',
			background: 'rgba(0, 0, 0, .92)',
			left: 0,
			top: 0,
			zIndex: 10000
	}
	});
	setTimeout($.loadingBlockHide, 5000);
	$("html").niceScroll({
		cursorcolor:"#F1F1F1",
		cursorborder:"1px solid #E1E1E1", 
		cursorwidth:"8px"
	});
});


// JavaScript Demo
;(function(window){
	var fillVars = function(){
		var width = document.getElementById('fitweird-width');
		var height = document.getElementById('fitweird-height');
			width.innerHTML = window.innerWidth;
			height.innerHTML = window.innerHeight;
	}
	var fitWeird = function(){
		var newDiv = document.createElement('div');
		var newContent = '<span id=fitweird-width></span> &times; <span id=fitweird-height></span>';
			newDiv.style.position = 'fixed';
			newDiv.style.bottom = '0';
			newDiv.style.left = '0';
			// newDiv.style.bottom = '0';
			newDiv.style.right = '0';
			newDiv.style.backgroundColor = 'transient';
			newDiv.style.padding = '1em 5em';
			newDiv.style.color = '#000';
			newDiv.style.fontFamily = 'monospace';
			newDiv.style.fontWeight = '900';
			newDiv.innerHTML = newContent;
			document.body.appendChild(newDiv);
		fillVars();
		window.addEventListener('resize', fillVars);
	};
	fitWeird();
})(window);